QGIS Application - Bug report #5318
Snapping options dialog broken

2012-04-05 03:17 AM - James Stott

Status: Closed
Priority: High
Assignee:

Category: Vectors

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 15021

Description

When accessing the snapping options menu, the vector layers from the project are not shown in the dialog so | cannot set up snapping.

A project that | set up yesterday with snapping turned on still recognises the snapping options that were set up, | just cannot edit them.

See attached screenshot.

QGIS Master Windows 7 64bit

Associated revisions

Revision a82a2438 - 2012-04-07 01:43 PM - Nathan Woodrow

Remove/Add layers to snapping dialog. Fixes #5318

History

#1 - 2012-04-05 11:08 AM - Giovanni Manghi

- Target version set to Version 1.8.0

- Subject changed from Setting up snap not possible to Snapping options dialog broken
- Category set to Vectors

- Priority changed from Normal to 6

Confirmed also on linux. No layers do show in the "snapping options" dialog.

#2 - 2012-04-06 06:00 PM - Nathan Woodrow

- Assignee set to Jurgen Fischer

#3 - 2012-04-07 01:28 AM - Jiirgen Fischer
- Assignee deleted (Jirgen Fischer)

#4 - 2012-04-07 02:02 AM - Nathan Woodrow

| found what has caused this. Tim made a commit that added layersAdded and layersRemoved to the MapLayerRegistry which are the new signals.

Working on a fix now.
#5 - 2012-04-07 02:35 AM - Salvatore Larosa

Nathan Woodrow wrote:

I found what has caused this. Tim made a commit that added layersAdded and layersRemoved to the MapLayerRegistry which are the new

signals.

Working on a fix now.

Is this also related to that commit?

Warning: Object::connect: No such signal QgsMapLayerRegistry::layersAdded( QgsMapLayer * )

Warning: Object::connect: (receiver name: 'MainWindow')
Warning: Object::connect: No such slot QgisApp::removingLayer( QString )
Warning: Object::connect: (receiver name: 'MainWindow")

| get that when | start QGIS!

#6 - 2012-04-07 02:38 AM - Nathan Woodrow

| suspect so

#7 - 2012-04-07 04:44 AM - Nathan Woodrow
- Status changed from Open to Closed

Fixed in changeset commit:"a82a2438e1b9bb4656d2a63ef21800d1d2a01ff2".

Files
Snapping_options.jpg 228 KB 2012-04-05 James Stott
2025-04-27 2/2



